package be.ehealth.businessconnector.test.mycarenet.memberdatav2.session;

import be.fgov.ehealth.technicalconnector.tests.junit.rule.SessionRule;
import org.junit.ClassRule;

public class NurseIntegrationTest extends AbstractCareProviderIntegrationTest {

    @ClassRule
    public static SessionRule rule = SessionRule.withActiveSession().forEnvironment("acc")
            .forProfession("persnurse")
            // "memberdata-hannes" load a test config file where the following saml attribute property is set:
            // sessionmanager.samlattributedesignator.6=urn:be:fgov:certified-namespace:ehealth,urn:be:fgov:person:ssin:ehealth:1.0:nihii:nurse:nihii11
            .forUser("memberdata-hannes")
            .build();

    public NurseIntegrationTest() {
        super("77-NUR-ENEH", "78-NUR-ENxS", "79-NUR-CNCH", "80-NUR-CNxS");
    }

}
